<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/system_info_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
.textRainbow_lv3_p0 { color: #ff8bff; }
.textRainbow_lv2_p0 { color: #e0ffff; }
.textRainbow_lv1_o0 { color: #ffffe0; }
.textRainbow_lv2_o0 { color: #e0ffff; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>03/08/85  system_info_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>
<span id="L4" class="LineNr">  4 </span>The system_info_ subroutine allows the user to obtain information
<span id="L5" class="LineNr">  5 </span>concerning system parameters.  All entry points that accept more than
<span id="L6" class="LineNr">  6 </span>one argument count their arguments and only return values for the
<span id="L7" class="LineNr">  7 </span>number of arguments given.  Certain arguments, such as the price
<span id="L8" class="LineNr">  8 </span>arrays, must be dimensioned as shown.
<span id="L9" class="LineNr">  9 </span>
<span id="L10" class="LineNr"> 10 </span>
<span id="L11" class="LineNr"> 11 </span>Entry points in system_info_:
<span id="L12" class="LineNr"> 12 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L13" class="LineNr"> 13 </span>
<span id="L14" class="LineNr"> 14 </span>
<span id="L15" class="LineNr"> 15 </span>:Entry:  abs_chn:  03/08/85 system_info_$abs_chn
<span id="L16" class="LineNr"> 16 </span>
<span id="L17" class="LineNr"> 17 </span>
<span id="L18" class="LineNr"> 18 </span>Function:  This entry point returns the event channel and process ID
<span id="L19" class="LineNr"> 19 </span>for the process that is running the absentee user manager.
<span id="L20" class="LineNr"> 20 </span>
<span id="L21" class="LineNr"> 21 </span>
<span id="L22" class="LineNr"> 22 </span>Syntax:
<span id="L23" class="LineNr"> 23 </span>declare system_info_$abs_chn entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv1_p0">(</span>71<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>36<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_p0">)</span>;
<span id="L24" class="LineNr"> 24 </span>call system_info_$abs_chn <span class="textRainbow_lv0_p0">(</span>ec<span class="textRainbow_lv0_o0">,</span> p_id<span class="textRainbow_lv0_p0">)</span>;
<span id="L25" class="LineNr"> 25 </span>
<span id="L26" class="LineNr"> 26 </span>
<span id="L27" class="LineNr"> 27 </span>Arguments:
<span id="L28" class="LineNr"> 28 </span>ec
<span id="L29" class="LineNr"> 29 </span>   is the event channel over which signals to absentee_user_manager_
<span id="L30" class="LineNr"> 30 </span>   should be sent.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L31" class="LineNr"> 31 </span>p_id
<span id="L32" class="LineNr"> 32 </span>   is the process ID of the absentee manager process <span class="textRainbow_lv0_p0">(</span>currently the
<span id="L33" class="LineNr"> 33 </span>   initializer<span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L34" class="LineNr"> 34 </span>
<span id="L35" class="LineNr"> 35 </span>
<span id="L36" class="LineNr"> 36 </span>:Entry:  abs_prices:  03/08/85 system_info_$abs_prices
<span id="L37" class="LineNr"> 37 </span>
<span id="L38" class="LineNr"> 38 </span>
<span id="L39" class="LineNr"> 39 </span>Function:  This entry point returns the prices for CPU and real time
<span id="L40" class="LineNr"> 40 </span>for each absentee queue.
<span id="L41" class="LineNr"> 41 </span>
<span id="L42" class="LineNr"> 42 </span>
<span id="L43" class="LineNr"> 43 </span>Syntax:
<span id="L44" class="LineNr"> 44 </span>declare system_info_$abs_prices entry <span class="textRainbow_lv0_p0">(</span><span class="textRainbow_lv1_p0">(</span>4<span class="textRainbow_lv1_p0">)</span> float bin<span class="textRainbow_lv0_o0">,</span> <span class="textRainbow_lv1_p0">(</span>4<span class="textRainbow_lv1_p0">)</span> float bin<span class="textRainbow_lv0_p0">)</span>;
<span id="L45" class="LineNr"> 45 </span>call system_info_$abs_prices <span class="textRainbow_lv0_p0">(</span>cpurate<span class="textRainbow_lv0_o0">,</span> realrate<span class="textRainbow_lv0_p0">)</span>;
<span id="L46" class="LineNr"> 46 </span>
<span id="L47" class="LineNr"> 47 </span>
<span id="L48" class="LineNr"> 48 </span>Arguments:
<span id="L49" class="LineNr"> 49 </span>cpurate
<span id="L50" class="LineNr"> 50 </span>   is the price per CPU hour for absentee queues 1 to 4.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L51" class="LineNr"> 51 </span>realrate
<span id="L52" class="LineNr"> 52 </span>   is the memory unit rate for absentee queues 1 to 4.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L53" class="LineNr"> 53 </span>
<span id="L54" class="LineNr"> 54 </span>
<span id="L55" class="LineNr"> 55 </span>:Entry:  access_ceiling:  03/08/85 system_info_$access_ceiling
<span id="L56" class="LineNr"> 56 </span>
<span id="L57" class="LineNr"> 57 </span>
<span id="L58" class="LineNr"> 58 </span>Function:  This entry point returns the system_high access
<span id="L59" class="LineNr"> 59 </span>authorization or class.
<span id="L60" class="LineNr"> 60 </span>
<span id="L61" class="LineNr"> 61 </span>
<span id="L62" class="LineNr"> 62 </span>Syntax:
<span id="L63" class="LineNr"> 63 </span>declare system_info_$access_ceiling entry <span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>72<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_p0">)</span>;
<span id="L64" class="LineNr"> 64 </span>call system_info_$access_ceiling <span class="textRainbow_lv0_p0">(</span>ceil<span class="textRainbow_lv0_p0">)</span>;
<span id="L65" class="LineNr"> 65 </span>
<span id="L66" class="LineNr"> 66 </span>
<span id="L67" class="LineNr"> 67 </span>Arguments:
<span id="L68" class="LineNr"> 68 </span>ceil
<span id="L69" class="LineNr"> 69 </span>   is the access ceiling.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L70" class="LineNr"> 70 </span>
<span id="L71" class="LineNr"> 71 </span>
<span id="L72" class="LineNr"> 72 </span>:Entry:  category_names:  03/08/85 system_info_$category_names
<span id="L73" class="LineNr"> 73 </span>
<span id="L74" class="LineNr"> 74 </span>
<span id="L75" class="LineNr"> 75 </span>Function:  This entry point returns the 32-character long names and the
<span id="L76" class="LineNr"> 76 </span>eight-character short names for the access categories.
<span id="L77" class="LineNr"> 77 </span>
<span id="L78" class="LineNr"> 78 </span>
<span id="L79" class="LineNr"> 79 </span>Syntax:
<span id="L80" class="LineNr"> 80 </span>declare system_info_$category_names entry <span class="textRainbow_lv0_p0">(</span>dim<span class="textRainbow_lv1_p0">(</span>18<span class="textRainbow_lv1_p0">)</span> char<span class="textRainbow_lv1_p0">(</span>32<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> dim<span class="textRainbow_lv1_p0">(</span>18<span class="textRainbow_lv1_p0">)</span>
<span id="L81" class="LineNr"> 81 </span>     char<span class="textRainbow_lv1_p0">(</span>8<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L82" class="LineNr"> 82 </span>call system_info_$category_names <span class="textRainbow_lv0_p0">(</span>long<span class="textRainbow_lv0_o0">,</span> short<span class="textRainbow_lv0_p0">)</span>;
<span id="L83" class="LineNr"> 83 </span>
<span id="L84" class="LineNr"> 84 </span>
<span id="L85" class="LineNr"> 85 </span>Arguments:
<span id="L86" class="LineNr"> 86 </span>long
<span id="L87" class="LineNr"> 87 </span>   is an array of the long level names.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L88" class="LineNr"> 88 </span>short
<span id="L89" class="LineNr"> 89 </span>   is an array of the short level names.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L90" class="LineNr"> 90 </span>
<span id="L91" class="LineNr"> 91 </span>
<span id="L92" class="LineNr"> 92 </span>:Entry: default_absentee_queue: 03/08/85 system_info_$default_absentee_queue
<span id="L93" class="LineNr"> 93 </span>
<span id="L94" class="LineNr"> 94 </span>
<span id="L95" class="LineNr"> 95 </span>Function:  This entry point returns the number of the default absentee
<span id="L96" class="LineNr"> 96 </span>queue used for submission of absentee jobs by the enter_abs_request,
<span id="L97" class="LineNr"> 97 </span>pl1_abs, fortran_abs, etc., commands.
<span id="L98" class="LineNr"> 98 </span>
<span id="L99" class="LineNr"> 99 </span>
<span id="L100" class="LineNr">100 </span>Syntax:
<span id="L101" class="LineNr">101 </span>declare system_info_$default_absentee_queue entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv0_p0">)</span>;
<span id="L102" class="LineNr">102 </span>call system_info_$default_absentee_queue <span class="textRainbow_lv0_p0">(</span>default_q<span class="textRainbow_lv0_p0">)</span>;
<span id="L103" class="LineNr">103 </span>
<span id="L104" class="LineNr">104 </span>
<span id="L105" class="LineNr">105 </span>Arguments:
<span id="L106" class="LineNr">106 </span>default_q
<span id="L107" class="LineNr">107 </span>   is the default absentee queue.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L108" class="LineNr">108 </span>
<span id="L109" class="LineNr">109 </span>
<span id="L110" class="LineNr">110 </span>:Entry:  device_prices:  03/08/85 system_info_$device_prices
<span id="L111" class="LineNr">111 </span>
<span id="L112" class="LineNr">112 </span>
<span id="L113" class="LineNr">113 </span>Function:  This entry point returns the per-shift prices for system
<span id="L114" class="LineNr">114 </span>device usage.
<span id="L115" class="LineNr">115 </span>
<span id="L116" class="LineNr">116 </span>
<span id="L117" class="LineNr">117 </span>Syntax:
<span id="L118" class="LineNr">118 </span>declare system_info_$device_prices entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_p0">)</span>;
<span id="L119" class="LineNr">119 </span>call system_info_$device_prices <span class="textRainbow_lv0_p0">(</span>ndev<span class="textRainbow_lv0_o0">,</span> dev_ptr<span class="textRainbow_lv0_p0">)</span>;
<span id="L120" class="LineNr">120 </span>
<span id="L121" class="LineNr">121 </span>
<span id="L122" class="LineNr">122 </span>Arguments:
<span id="L123" class="LineNr">123 </span>ndev
<span id="L124" class="LineNr">124 </span>   is the number of devices with prices.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L125" class="LineNr">125 </span>dev_ptr
<span id="L126" class="LineNr">126 </span>   points to an array where device prices are stored.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L127" class="LineNr">127 </span>
<span id="L128" class="LineNr">128 </span>
<span id="L129" class="LineNr">129 </span>Notes:  In the above entry point, the user must provide the following
<span id="L130" class="LineNr">130 </span>array <span class="textRainbow_lv0_p0">(</span>in his storage<span class="textRainbow_lv0_p0">)</span> for device prices:
<span id="L131" class="LineNr">131 </span>   dcl 1 dvt<span class="textRainbow_lv0_p0">(</span>16<span class="textRainbow_lv0_p0">)</span>                 based <span class="textRainbow_lv0_p0">(</span>dev_ptr<span class="textRainbow_lv0_p0">)</span> aligned,
<span id="L132" class="LineNr">132 </span>         2 device_id             char<span class="textRainbow_lv0_p0">(</span>8<span class="textRainbow_lv0_p0">)</span>,
<span id="L133" class="LineNr">133 </span>         2 device_price          <span class="textRainbow_lv0_p0">(</span>0:7<span class="textRainbow_lv0_p0">)</span> float bin;
<span id="L134" class="LineNr">134 </span>
<span id="L135" class="LineNr">135 </span>
<span id="L136" class="LineNr">136 </span>   Structure elements:
<span id="L137" class="LineNr">137 </span>   dvt
<span id="L138" class="LineNr">138 </span>      is the user structure.  Only the first ndev of the 16 is filled
<span id="L139" class="LineNr">139 </span>      in.
<span id="L140" class="LineNr">140 </span>   device_id
<span id="L141" class="LineNr">141 </span>      is the name of the device.
<span id="L142" class="LineNr">142 </span>   device_price
<span id="L143" class="LineNr">143 </span>      is the per-hour, per-shift price for the device.
<span id="L144" class="LineNr">144 </span>
<span id="L145" class="LineNr">145 </span>
<span id="L146" class="LineNr">146 </span>:Entry:  installation_id:  03/08/85 system_info_$installation_id
<span id="L147" class="LineNr">147 </span>
<span id="L148" class="LineNr">148 </span>
<span id="L149" class="LineNr">149 </span>Function:  This entry point returns the 32-character installation
<span id="L150" class="LineNr">150 </span>identifier that is typed in the header of the how_many_users command
<span id="L151" class="LineNr">151 </span>when the -long control argument is specified.
<span id="L152" class="LineNr">152 </span>
<span id="L153" class="LineNr">153 </span>
<span id="L154" class="LineNr">154 </span>Syntax:
<span id="L155" class="LineNr">155 </span>declare system_info_$installation_id entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L156" class="LineNr">156 </span>call system_info_$installation_id <span class="textRainbow_lv0_p0">(</span>id<span class="textRainbow_lv0_p0">)</span>;
<span id="L157" class="LineNr">157 </span>
<span id="L158" class="LineNr">158 </span>
<span id="L159" class="LineNr">159 </span>Arguments:
<span id="L160" class="LineNr">160 </span>id
<span id="L161" class="LineNr">161 </span>   is the installation identifier.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L162" class="LineNr">162 </span>
<span id="L163" class="LineNr">163 </span>
<span id="L164" class="LineNr">164 </span>:Entry:  io_prices:  03/08/85 system_info_$io_prices
<span id="L165" class="LineNr">165 </span>
<span id="L166" class="LineNr">166 </span>
<span id="L167" class="LineNr">167 </span>Function:  This entry point returns the prices for unit processing for
<span id="L168" class="LineNr">168 </span>each I/O daemon queue.
<span id="L169" class="LineNr">169 </span>
<span id="L170" class="LineNr">170 </span>
<span id="L171" class="LineNr">171 </span>Syntax:
<span id="L172" class="LineNr">172 </span>declare system_info_$io_prices entry <span class="textRainbow_lv0_p0">(</span><span class="textRainbow_lv1_p0">(</span>4<span class="textRainbow_lv1_p0">)</span> float bin<span class="textRainbow_lv0_p0">)</span>;
<span id="L173" class="LineNr">173 </span>call system_info_$io_prices <span class="textRainbow_lv0_p0">(</span>rp<span class="textRainbow_lv0_p0">)</span>;
<span id="L174" class="LineNr">174 </span>
<span id="L175" class="LineNr">175 </span>
<span id="L176" class="LineNr">176 </span>Arguments:
<span id="L177" class="LineNr">177 </span>rp
<span id="L178" class="LineNr">178 </span>   is the price per 1000 lines for each I/O daemon queue.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L179" class="LineNr">179 </span>
<span id="L180" class="LineNr">180 </span>
<span id="L181" class="LineNr">181 </span>:Entry:  last_shutdown:  03/08/85 system_info_$last_shutdown
<span id="L182" class="LineNr">182 </span>
<span id="L183" class="LineNr">183 </span>
<span id="L184" class="LineNr">184 </span>Function:  This entry point returns the clock time of the last shutdown
<span id="L185" class="LineNr">185 </span>or crash and an eight-character string giving the ERF <span class="textRainbow_lv0_p0">(</span>error report
<span id="L186" class="LineNr">186 </span>form<span class="textRainbow_lv0_p0">)</span> number of the last crash <span class="textRainbow_lv0_p0">(</span>blank if the last shutdown was not a
<span id="L187" class="LineNr">187 </span>crash<span class="textRainbow_lv0_p0">)</span>.
<span id="L188" class="LineNr">188 </span>
<span id="L189" class="LineNr">189 </span>
<span id="L190" class="LineNr">190 </span>Syntax:
<span id="L191" class="LineNr">191 </span>declare system_info_$last_shutdown entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv1_p0">(</span>71<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L192" class="LineNr">192 </span>call system_info_$last_shutdown <span class="textRainbow_lv0_p0">(</span>time<span class="textRainbow_lv0_o0">,</span> erfno<span class="textRainbow_lv0_p0">)</span>;
<span id="L193" class="LineNr">193 </span>
<span id="L194" class="LineNr">194 </span>
<span id="L195" class="LineNr">195 </span>Arguments:
<span id="L196" class="LineNr">196 </span>time
<span id="L197" class="LineNr">197 </span>   is the clock time of the last shutdown.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L198" class="LineNr">198 </span>erfno
<span id="L199" class="LineNr">199 </span>   is the ERF number of the last crash, or blank.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L200" class="LineNr">200 </span>
<span id="L201" class="LineNr">201 </span>
<span id="L202" class="LineNr">202 </span>:Entry:  level_names:  03/08/85 system_info_$level_names
<span id="L203" class="LineNr">203 </span>
<span id="L204" class="LineNr">204 </span>
<span id="L205" class="LineNr">205 </span>Function:  This entry point returns the 32-character long names and
<span id="L206" class="LineNr">206 </span>eight-character short names for sensitivity levels.
<span id="L207" class="LineNr">207 </span>
<span id="L208" class="LineNr">208 </span>
<span id="L209" class="LineNr">209 </span>Syntax:
<span id="L210" class="LineNr">210 </span>declare system_info_$level_names entry <span class="textRainbow_lv0_p0">(</span>dim<span class="textRainbow_lv1_p0">(</span>0:7<span class="textRainbow_lv1_p0">)</span> char<span class="textRainbow_lv1_p0">(</span>32<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> dim<span class="textRainbow_lv1_p0">(</span>0:7<span class="textRainbow_lv1_p0">)</span>
<span id="L211" class="LineNr">211 </span>     char<span class="textRainbow_lv1_p0">(</span>8<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L212" class="LineNr">212 </span>call system_info_$level_names <span class="textRainbow_lv0_p0">(</span>long<span class="textRainbow_lv0_o0">,</span> short<span class="textRainbow_lv0_p0">)</span>;
<span id="L213" class="LineNr">213 </span>
<span id="L214" class="LineNr">214 </span>
<span id="L215" class="LineNr">215 </span>Arguments:
<span id="L216" class="LineNr">216 </span>long
<span id="L217" class="LineNr">217 </span>   is an array of the long level names.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L218" class="LineNr">218 </span>short
<span id="L219" class="LineNr">219 </span>   is an array of the short level names.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L220" class="LineNr">220 </span>
<span id="L221" class="LineNr">221 </span>
<span id="L222" class="LineNr">222 </span>:Entry:  max_rs_number:  03/08/85 system_info_$max_rs_number
<span id="L223" class="LineNr">223 </span>
<span id="L224" class="LineNr">224 </span>
<span id="L225" class="LineNr">225 </span>Function:  This entry point returns the largest valid rate structure
<span id="L226" class="LineNr">226 </span>number.
<span id="L227" class="LineNr">227 </span>
<span id="L228" class="LineNr">228 </span>
<span id="L229" class="LineNr">229 </span>Syntax:
<span id="L230" class="LineNr">230 </span>declare system_info_$max_rs_number entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv1_p0">(</span>17<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L231" class="LineNr">231 </span>call system_info_$max_rs_number <span class="textRainbow_lv0_p0">(</span>rs_number<span class="textRainbow_lv0_p0">)</span>;
<span id="L232" class="LineNr">232 </span>
<span id="L233" class="LineNr">233 </span>
<span id="L234" class="LineNr">234 </span>Arguments:
<span id="L235" class="LineNr">235 </span>rs_number
<span id="L236" class="LineNr">236 </span>   is the largest valid rate structure number.  If it is zero, there
<span id="L237" class="LineNr">237 </span>   are no rate structures defined, other than the default one in
<span id="L238" class="LineNr">238 </span>   installation_parms.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L239" class="LineNr">239 </span>
<span id="L240" class="LineNr">240 </span>
<span id="L241" class="LineNr">241 </span>:Entry:  next_shift_change:  03/08/85 system_info_$next_shift_change
<span id="L242" class="LineNr">242 </span>
<span id="L243" class="LineNr">243 </span>
<span id="L244" class="LineNr">244 </span>Function:  This entry point returns the number of the current shift,
<span id="L245" class="LineNr">245 </span>the time it started, the time it will end, and the number of the next
<span id="L246" class="LineNr">246 </span>shift.
<span id="L247" class="LineNr">247 </span>
<span id="L248" class="LineNr">248 </span>
<span id="L249" class="LineNr">249 </span>Syntax:
<span id="L250" class="LineNr">250 </span>declare system_info_$next_shift_change entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>71<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L251" class="LineNr">251 </span>     fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>71<span class="textRainbow_lv1_p0">)</span>;
<span id="L252" class="LineNr">252 </span>call system_info_$next_shift_change <span class="textRainbow_lv1_p0">(</span>now_shift<span class="textRainbow_lv1_o0">,</span> change_time<span class="textRainbow_lv1_o0">,</span> new_shift<span class="textRainbow_lv1_o0">,</span>
<span id="L253" class="LineNr">253 </span>     start_time<span class="textRainbow_lv1_p0">)</span>;
<span id="L254" class="LineNr">254 </span>
<span id="L255" class="LineNr">255 </span>
<span id="L256" class="LineNr">256 </span>Arguments:
<span id="L257" class="LineNr">257 </span>now_shift
<span id="L258" class="LineNr">258 </span>   is the current shift number.  <span class="textRainbow_lv1_p0">(</span>Output<span class="textRainbow_lv1_p0">)</span>
<span id="L259" class="LineNr">259 </span>change_time
<span id="L260" class="LineNr">260 </span>   is the time the shift changes.  <span class="textRainbow_lv1_p0">(</span>Output<span class="textRainbow_lv1_p0">)</span>
<span id="L261" class="LineNr">261 </span>new_shift
<span id="L262" class="LineNr">262 </span>   is the shift after change_time.  <span class="textRainbow_lv1_p0">(</span>Output<span class="textRainbow_lv1_p0">)</span>
<span id="L263" class="LineNr">263 </span>start_time
<span id="L264" class="LineNr">264 </span>   is the time the current shift started.  <span class="textRainbow_lv1_p0">(</span>Output<span class="textRainbow_lv1_p0">)</span>
<span id="L265" class="LineNr">265 </span>
<span id="L266" class="LineNr">266 </span>
<span id="L267" class="LineNr">267 </span>:Entry:  next_shutdown:  03/08/85 system_info_$next_shutdown
<span id="L268" class="LineNr">268 </span>
<span id="L269" class="LineNr">269 </span>
<span id="L270" class="LineNr">270 </span>Function:  This entry point returns the time of the next scheduled
<span id="L271" class="LineNr">271 </span>shutdown<span class="textRainbow_lv0_o0">,</span> the reason for the shutdown<span class="textRainbow_lv0_o0">,</span> and the time when the system
<span id="L272" class="LineNr">272 </span>will return<span class="textRainbow_lv0_o0">,</span> if these data are available.
<span id="L273" class="LineNr">273 </span>
<span id="L274" class="LineNr">274 </span>
<span id="L275" class="LineNr">275 </span>Syntax:
<span id="L276" class="LineNr">276 </span>declare system_info_$next_shutdown entry <span class="textRainbow_lv1_p0">(</span>fixed bin<span class="textRainbow_lv2_p0">(</span>71<span class="textRainbow_lv2_p0">)</span><span class="textRainbow_lv1_o0">,</span> char<span class="textRainbow_lv2_p0">(</span>*<span class="textRainbow_lv2_p0">)</span><span class="textRainbow_lv1_o0">,</span>
<span id="L277" class="LineNr">277 </span>     fixed bin<span class="textRainbow_lv2_p0">(</span>71<span class="textRainbow_lv2_p0">)</span><span class="textRainbow_lv1_p0">)</span>;
<span id="L278" class="LineNr">278 </span>call system_info_$next_shutdown <span class="textRainbow_lv1_p0">(</span>td<span class="textRainbow_lv1_o0">,</span> rsn<span class="textRainbow_lv1_o0">,</span> tn<span class="textRainbow_lv1_p0">)</span>;
<span id="L279" class="LineNr">279 </span>
<span id="L280" class="LineNr">280 </span>
<span id="L281" class="LineNr">281 </span>Arguments:
<span id="L282" class="LineNr">282 </span>td
<span id="L283" class="LineNr">283 </span>   is the time of the next scheduled shutdown.  If none is scheduled<span class="textRainbow_lv0_o0">,</span>
<span id="L284" class="LineNr">284 </span>   this is 0.  <span class="textRainbow_lv1_p0">(</span>Output<span class="textRainbow_lv1_p0">)</span>
<span id="L285" class="LineNr">285 </span>rsn
<span id="L286" class="LineNr">286 </span>   is the reason for the next shutdown <span class="textRainbow_lv1_p0">(</span>a maximum of 32 characters<span class="textRainbow_lv1_p0">)</span>.
<span id="L287" class="LineNr">287 </span>   If it is not known<span class="textRainbow_lv0_o0">,</span> it is blank.  <span class="textRainbow_lv1_p0">(</span>Output<span class="textRainbow_lv1_p0">)</span>
<span id="L288" class="LineNr">288 </span>tn
<span id="L289" class="LineNr">289 </span>   is the time the system will return.  If it is not known<span class="textRainbow_lv0_o0">,</span> it is 0.
<span id="L290" class="LineNr">290 </span>   <span class="textRainbow_lv1_p0">(</span>Output<span class="textRainbow_lv1_p0">)</span>
<span id="L291" class="LineNr">291 </span>
<span id="L292" class="LineNr">292 </span>
<span id="L293" class="LineNr">293 </span>:Entry:  prices:  03/08/85 system_info_$prices
<span id="L294" class="LineNr">294 </span>
<span id="L295" class="LineNr">295 </span>
<span id="L296" class="LineNr">296 </span>Function:  This entry point returns the per-shift prices for
<span id="L297" class="LineNr">297 </span>interactive use.
<span id="L298" class="LineNr">298 </span>
<span id="L299" class="LineNr">299 </span>
<span id="L300" class="LineNr">300 </span>Syntax:
<span id="L301" class="LineNr">301 </span>declare system_info_$prices entry <span class="textRainbow_lv1_p0">(</span><span class="textRainbow_lv2_p0">(</span>0:7<span class="textRainbow_lv2_p0">)</span> float bin<span class="textRainbow_lv1_o0">,</span> <span class="textRainbow_lv2_p0">(</span>0:7<span class="textRainbow_lv2_p0">)</span> float bin<span class="textRainbow_lv1_o0">,</span>
<span id="L302" class="LineNr">302 </span>     <span class="textRainbow_lv2_p0">(</span>0:7<span class="textRainbow_lv2_p0">)</span> float bin<span class="textRainbow_lv1_o0">,</span> <span class="textRainbow_lv2_p0">(</span>0:7<span class="textRainbow_lv2_p0">)</span> float bin<span class="textRainbow_lv1_o0">,</span> float bin<span class="textRainbow_lv1_o0">,</span> float bin<span class="textRainbow_lv1_p0">)</span>;
<span id="L303" class="LineNr">303 </span>call system_info_$prices <span class="textRainbow_lv1_p0">(</span>cpu<span class="textRainbow_lv1_o0">,</span> log<span class="textRainbow_lv1_o0">,</span> prc<span class="textRainbow_lv1_o0">,</span> cor<span class="textRainbow_lv1_o0">,</span> dsk<span class="textRainbow_lv1_o0">,</span> reg<span class="textRainbow_lv1_p0">)</span>;
<span id="L304" class="LineNr">304 </span>
<span id="L305" class="LineNr">305 </span>
<span id="L306" class="LineNr">306 </span>Arguments:
<span id="L307" class="LineNr">307 </span>cpu
<span id="L308" class="LineNr">308 </span>   is the CPU-hour rate per shift.  <span class="textRainbow_lv1_p0">(</span>Output<span class="textRainbow_lv1_p0">)</span>
<span id="L309" class="LineNr">309 </span>log
<span id="L310" class="LineNr">310 </span>   is the connect-hour rate per shift.  <span class="textRainbow_lv1_p0">(</span>Output<span class="textRainbow_lv1_p0">)</span>
<span id="L311" class="LineNr">311 </span>prc
<span id="L312" class="LineNr">312 </span>   is the process-hour rate per shift.  <span class="textRainbow_lv1_p0">(</span>Output<span class="textRainbow_lv1_p0">)</span>
<span id="L313" class="LineNr">313 </span>cor
<span id="L314" class="LineNr">314 </span>   is the page-second rate for main memory per shift.  <span class="textRainbow_lv1_p0">(</span>Output<span class="textRainbow_lv1_p0">)</span>
<span id="L315" class="LineNr">315 </span>dsk
<span id="L316" class="LineNr">316 </span>   is the page-second rate for secondary storage.  <span class="textRainbow_lv1_p0">(</span>Output<span class="textRainbow_lv1_p0">)</span>
<span id="L317" class="LineNr">317 </span>reg
<span id="L318" class="LineNr">318 </span>   is the registration fee per user per month.  <span class="textRainbow_lv1_p0">(</span>Output<span class="textRainbow_lv1_p0">)</span>
<span id="L319" class="LineNr">319 </span>
<span id="L320" class="LineNr">320 </span>
<span id="L321" class="LineNr">321 </span>:Entry:  resource_price:  03/08/85 system_info_$resource_price
<span id="L322" class="LineNr">322 </span>
<span id="L323" class="LineNr">323 </span>
<span id="L324" class="LineNr">324 </span>Function:
<span id="L325" class="LineNr">325 </span> This entry point returns the price of a specified resource.
<span id="L326" class="LineNr">326 </span>
<span id="L327" class="LineNr">327 </span>
<span id="L328" class="LineNr">328 </span>Syntax:
<span id="L329" class="LineNr">329 </span>declare system_info_$resource_price entry <span class="textRainbow_lv1_p0">(</span>char<span class="textRainbow_lv2_p0">(</span>*<span class="textRainbow_lv2_p0">)</span><span class="textRainbow_lv1_o0">,</span> float bin<span class="textRainbow_lv1_o0">,</span> fixed
<span id="L330" class="LineNr">330 </span>     bin <span class="textRainbow_lv2_p0">(</span>35<span class="textRainbow_lv2_p0">)</span><span class="textRainbow_lv1_p0">)</span>;
<span id="L331" class="LineNr">331 </span>call system_info_$resource_price entry <span class="textRainbow_lv1_p0">(</span>name<span class="textRainbow_lv1_o0">,</span> price<span class="textRainbow_lv1_o0">,</span> code<span class="textRainbow_lv1_p0">)</span>;
<span id="L332" class="LineNr">332 </span>
<span id="L333" class="LineNr">333 </span>
<span id="L334" class="LineNr">334 </span>Arguments:
<span id="L335" class="LineNr">335 </span>name
<span id="L336" class="LineNr">336 </span>   is the name of the resource.  <span class="textRainbow_lv1_p0">(</span>Input<span class="textRainbow_lv1_p0">)</span>
<span id="L337" class="LineNr">337 </span>price
<span id="L338" class="LineNr">338 </span>   is the price of the resource in dollars per unit.  <span class="textRainbow_lv1_p0">(</span>Output<span class="textRainbow_lv1_p0">)</span>
<span id="L339" class="LineNr">339 </span>code
<span id="L340" class="LineNr">340 </span>   is a standard status code.  It will be error_table_$noentry if the
<span id="L341" class="LineNr">341 </span>   resource is not in the price list.  <span class="textRainbow_lv1_p0">(</span>Output<span class="textRainbow_lv1_p0">)</span>
<span id="L342" class="LineNr">342 </span>
<span id="L343" class="LineNr">343 </span>
<span id="L344" class="LineNr">344 </span>:Entry:  rs_name:  03/08/85 system_info_$rs_name
<span id="L345" class="LineNr">345 </span>
<span id="L346" class="LineNr">346 </span>
<span id="L347" class="LineNr">347 </span>Function:  This entry point returns the rate structure name
<span id="L348" class="LineNr">348 </span>corresponding to a rate structure number.
<span id="L349" class="LineNr">349 </span>
<span id="L350" class="LineNr">350 </span>
<span id="L351" class="LineNr">351 </span>Syntax:
<span id="L352" class="LineNr">352 </span>declare system_info_$rs_name entry <span class="textRainbow_lv1_p0">(</span>fixed bin<span class="textRainbow_lv2_p0">(</span>17<span class="textRainbow_lv2_p0">)</span><span class="textRainbow_lv1_o0">,</span> char<span class="textRainbow_lv2_p0">(</span>*<span class="textRainbow_lv2_p0">)</span><span class="textRainbow_lv1_o0">,</span>
<span id="L353" class="LineNr">353 </span>     fixed bin<span class="textRainbow_lv2_p0">(</span>35<span class="textRainbow_lv2_p0">)</span><span class="textRainbow_lv1_p0">)</span>;
<span id="L354" class="LineNr">354 </span>call system_info_$rs_name <span class="textRainbow_lv1_p0">(</span>rs_number<span class="textRainbow_lv1_o0">,</span> rs_name<span class="textRainbow_lv1_o0">,</span> code<span class="textRainbow_lv1_p0">)</span>;
<span id="L355" class="LineNr">355 </span>
<span id="L356" class="LineNr">356 </span>
<span id="L357" class="LineNr">357 </span>Arguments:
<span id="L358" class="LineNr">358 </span>rs_number
<span id="L359" class="LineNr">359 </span>   is the number of a rate structure.  <span class="textRainbow_lv1_p0">(</span>Input<span class="textRainbow_lv1_p0">)</span>
<span id="L360" class="LineNr">360 </span>rs_name
<span id="L361" class="LineNr">361 </span>   is the name corresponding to rs_number.  <span class="textRainbow_lv1_p0">(</span>The name can be up to 32
<span id="L362" class="LineNr">362 </span>   characters long.<span class="textRainbow_lv1_p0">)</span>  <span class="textRainbow_lv1_p0">(</span>Output<span class="textRainbow_lv1_p0">)</span>
<span id="L363" class="LineNr">363 </span>code
<span id="L364" class="LineNr">364 </span>   is zero if no error occurred<span class="textRainbow_lv0_o0">,</span> or error_table_$noentry if rs_number
<span id="L365" class="LineNr">365 </span>   is not the number of a defined rate structure.  <span class="textRainbow_lv1_p0">(</span>Output<span class="textRainbow_lv1_p0">)</span>
<span id="L366" class="LineNr">366 </span>
<span id="L367" class="LineNr">367 </span>
<span id="L368" class="LineNr">368 </span>:Entry:  rs_number:  03/08/85 system_info_$rs_number
<span id="L369" class="LineNr">369 </span>
<span id="L370" class="LineNr">370 </span>
<span id="L371" class="LineNr">371 </span>Function:  This entry point returns the rate structure number
<span id="L372" class="LineNr">372 </span>corresponding to a rate structure name.
<span id="L373" class="LineNr">373 </span>
<span id="L374" class="LineNr">374 </span>
<span id="L375" class="LineNr">375 </span>Syntax:
<span id="L376" class="LineNr">376 </span>declare system_info_$rs_number entry <span class="textRainbow_lv1_p0">(</span>char<span class="textRainbow_lv2_p0">(</span>*<span class="textRainbow_lv2_p0">)</span><span class="textRainbow_lv1_o0">,</span> fixed bin<span class="textRainbow_lv2_p0">(</span>17<span class="textRainbow_lv2_p0">)</span><span class="textRainbow_lv1_o0">,</span>
<span id="L377" class="LineNr">377 </span>     fixed bin<span class="textRainbow_lv2_p0">(</span>35<span class="textRainbow_lv2_p0">)</span><span class="textRainbow_lv1_p0">)</span>;
<span id="L378" class="LineNr">378 </span>call system_info_$rs_number <span class="textRainbow_lv1_p0">(</span>rs_name<span class="textRainbow_lv1_o0">,</span> rs_number<span class="textRainbow_lv1_o0">,</span> code<span class="textRainbow_lv1_p0">)</span>;
<span id="L379" class="LineNr">379 </span>
<span id="L380" class="LineNr">380 </span>
<span id="L381" class="LineNr">381 </span>Arguments:
<span id="L382" class="LineNr">382 </span>rs_name
<span id="L383" class="LineNr">383 </span>   is the name of a rate structure.  <span class="textRainbow_lv1_p0">(</span>Input<span class="textRainbow_lv1_p0">)</span>
<span id="L384" class="LineNr">384 </span>rs_number
<span id="L385" class="LineNr">385 </span>   is the number corresponding to rs_name.  <span class="textRainbow_lv1_p0">(</span>Output<span class="textRainbow_lv1_p0">)</span>
<span id="L386" class="LineNr">386 </span>code
<span id="L387" class="LineNr">387 </span>   is zero if no error occurred<span class="textRainbow_lv0_o0">,</span> or error_table_$noentry if rs_name is
<span id="L388" class="LineNr">388 </span>   not the name of a rate structure.  <span class="textRainbow_lv1_p0">(</span>Output<span class="textRainbow_lv1_p0">)</span>
<span id="L389" class="LineNr">389 </span>
<span id="L390" class="LineNr">390 </span>
<span id="L391" class="LineNr">391 </span>:Entry:  shift_table:  03/08/85 system_info_$shift_table
<span id="L392" class="LineNr">392 </span>
<span id="L393" class="LineNr">393 </span>
<span id="L394" class="LineNr">394 </span>Function:  This entry point returns the local shift definition table of
<span id="L395" class="LineNr">395 </span>the system.
<span id="L396" class="LineNr">396 </span>
<span id="L397" class="LineNr">397 </span>
<span id="L398" class="LineNr">398 </span>Syntax:
<span id="L399" class="LineNr">399 </span>declare system_info_$shift_table entry <span class="textRainbow_lv1_p0">(</span><span class="textRainbow_lv2_p0">(</span>336<span class="textRainbow_lv2_p0">)</span> fixed bin<span class="textRainbow_lv1_p0">)</span>;
<span id="L400" class="LineNr">400 </span>call system_info_$shift_table <span class="textRainbow_lv1_p0">(</span>stt<span class="textRainbow_lv1_p0">)</span>;
<span id="L401" class="LineNr">401 </span>
<span id="L402" class="LineNr">402 </span>
<span id="L403" class="LineNr">403 </span>Arguments:
<span id="L404" class="LineNr">404 </span>stt
<span id="L405" class="LineNr">405 </span>   is a table of shifts<span class="textRainbow_lv0_o0">,</span> indexed by half-hour within the week e.g.<span class="textRainbow_lv0_o0">,</span>
<span id="L406" class="LineNr">406 </span>   stt<span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span> gives the shift for 0000-0030 Mondays.  <span class="textRainbow_lv1_p0">(</span>Output<span class="textRainbow_lv1_p0">)</span>
<span id="L407" class="LineNr">407 </span>
<span id="L408" class="LineNr">408 </span>
<span id="L409" class="LineNr">409 </span>:Entry:  trusted_path:  03/08/85 system_info_$trusted_path
<span id="L410" class="LineNr">410 </span>
<span id="L411" class="LineNr">411 </span>
<span id="L412" class="LineNr">412 </span>Function:  This entry point returns bit flags indicating which trusted
<span id="L413" class="LineNr">413 </span>path facilities are required by the site.  At present<span class="textRainbow_lv0_o0">,</span> only one<span class="textRainbow_lv0_o0">,</span>
<span id="L414" class="LineNr">414 </span>&quot;login&quot; is implemented under the control of the &quot;trusted_path_login&quot;
<span id="L415" class="LineNr">415 </span>installation parameter<span class="textRainbow_lv0_o0">,</span> to disable the use of logout -hold and new_proc
<span id="L416" class="LineNr">416 </span>-authorization.
<span id="L417" class="LineNr">417 </span>
<span id="L418" class="LineNr">418 </span>
<span id="L419" class="LineNr">419 </span>Syntax:
<span id="L420" class="LineNr">420 </span>declare system_info_$trusted_path entry <span class="textRainbow_lv1_p0">()</span> returns <span class="textRainbow_lv1_p0">(</span>bit <span class="textRainbow_lv2_p0">(</span>36<span class="textRainbow_lv2_p0">)</span> aligned;
<span id="L421" class="LineNr">421 </span>string <span class="textRainbow_lv2_p0">(</span>trusted_path<span class="textRainbow_lv2_p0">)</span> = system_info_$trusted_path <span class="textRainbow_lv2_p0">()</span>;
<span id="L422" class="LineNr">422 </span>declare 1 trusted_path
<span id="L423" class="LineNr">423 </span>             2 login bit<span class="textRainbow_lv2_p0">(</span>1<span class="textRainbow_lv2_p0">)</span> unaligned<span class="textRainbow_lv1_o0">,</span>
<span id="L424" class="LineNr">424 </span>             2 pad bit<span class="textRainbow_lv2_p0">(</span>35<span class="textRainbow_lv2_p0">)</span> unaligned;
<span id="L425" class="LineNr">425 </span>
<span id="L426" class="LineNr">426 </span>
<span id="L427" class="LineNr">427 </span>Arguments:
<span id="L428" class="LineNr">428 </span>trusted_path_login
<span id="L429" class="LineNr">429 </span>   indicates the state of the &quot;trusted_path_login&quot; installation
<span id="L430" class="LineNr">430 </span>   parameter.
<span id="L431" class="LineNr">431 </span>
<span id="L432" class="LineNr">432 </span>
<span id="L433" class="LineNr">433 </span>:Entry:  sysid:  03/08/85 system_info_$sysid
<span id="L434" class="LineNr">434 </span>
<span id="L435" class="LineNr">435 </span>
<span id="L436" class="LineNr">436 </span>Function:  This entry point returns the eight-character system
<span id="L437" class="LineNr">437 </span>identifier that is typed in the header of the who command and at
<span id="L438" class="LineNr">438 </span>dial-up time.
<span id="L439" class="LineNr">439 </span>
<span id="L440" class="LineNr">440 </span>
<span id="L441" class="LineNr">441 </span>Syntax:
<span id="L442" class="LineNr">442 </span>declare system_info_$sysid entry <span class="textRainbow_lv2_p0">(</span>char<span class="textRainbow_lv3_p0">(</span>*<span class="textRainbow_lv3_p0">)</span><span class="textRainbow_lv2_p0">)</span>;
<span id="L443" class="LineNr">443 </span>call system_info_$sysid <span class="textRainbow_lv2_p0">(</span>sys<span class="textRainbow_lv2_p0">)</span>;
<span id="L444" class="LineNr">444 </span>
<span id="L445" class="LineNr">445 </span>
<span id="L446" class="LineNr">446 </span>Arguments:
<span id="L447" class="LineNr">447 </span>sys
<span id="L448" class="LineNr">448 </span>   is the system identifier that identifies the current system.
<span id="L449" class="LineNr">449 </span>   <span class="textRainbow_lv2_p0">(</span>Output<span class="textRainbow_lv2_p0">)</span> Normally this is the Multics Release number <span class="textRainbow_lv2_p0">(</span>eg<span class="textRainbow_lv2_o0">,</span> MR10.1<span class="textRainbow_lv2_p0">)</span>.
<span id="L450" class="LineNr">450 </span>
<span id="L451" class="LineNr">451 </span>
<span id="L452" class="LineNr">452 </span>:Entry:  timeup:  03/08/85 system_info_$timeup
<span id="L453" class="LineNr">453 </span>
<span id="L454" class="LineNr">454 </span>
<span id="L455" class="LineNr">455 </span>Function:  This entry point returns the time at which the system was
<span id="L456" class="LineNr">456 </span>last started up.
<span id="L457" class="LineNr">457 </span>
<span id="L458" class="LineNr">458 </span>
<span id="L459" class="LineNr">459 </span>Syntax:
<span id="L460" class="LineNr">460 </span>declare system_info_$timeup entry <span class="textRainbow_lv2_p0">(</span>fixed bin<span class="textRainbow_lv3_p0">(</span>71<span class="textRainbow_lv3_p0">)</span><span class="textRainbow_lv2_p0">)</span>;
<span id="L461" class="LineNr">461 </span>call system_info_$timeup <span class="textRainbow_lv2_p0">(</span>tu<span class="textRainbow_lv2_p0">)</span>;
<span id="L462" class="LineNr">462 </span>
<span id="L463" class="LineNr">463 </span>
<span id="L464" class="LineNr">464 </span>Arguments:
<span id="L465" class="LineNr">465 </span>tu
<span id="L466" class="LineNr">466 </span>   is when the system came up.  <span class="textRainbow_lv2_p0">(</span>Output<span class="textRainbow_lv2_p0">)</span>
<span id="L467" class="LineNr">467 </span>
<span id="L468" class="LineNr">468 </span>
<span id="L469" class="LineNr">469 </span>:Entry:  titles:  03/08/85 system_info_$titles
<span id="L470" class="LineNr">470 </span>
<span id="L471" class="LineNr">471 </span>
<span id="L472" class="LineNr">472 </span>Function:  This entry point returns several character strings that more
<span id="L473" class="LineNr">473 </span>formally identify the installation.
<span id="L474" class="LineNr">474 </span>
<span id="L475" class="LineNr">475 </span>
<span id="L476" class="LineNr">476 </span>Syntax:
<span id="L477" class="LineNr">477 </span>declare system_info_$titles entry <span class="textRainbow_lv2_p0">(</span>char<span class="textRainbow_lv3_p0">(</span>*<span class="textRainbow_lv3_p0">)</span><span class="textRainbow_lv2_o0">,</span> char<span class="textRainbow_lv3_p0">(</span>*<span class="textRainbow_lv3_p0">)</span><span class="textRainbow_lv2_o0">,</span> char<span class="textRainbow_lv3_p0">(</span>*<span class="textRainbow_lv3_p0">)</span><span class="textRainbow_lv2_o0">,</span> char<span class="textRainbow_lv3_p0">(</span>*<span class="textRainbow_lv3_p0">)</span><span class="textRainbow_lv2_p0">)</span>;
<span id="L478" class="LineNr">478 </span>call system_info_$titles <span class="textRainbow_lv2_p0">(</span>c<span class="textRainbow_lv2_o0">,</span> d<span class="textRainbow_lv2_o0">,</span> cc<span class="textRainbow_lv2_o0">,</span> dd<span class="textRainbow_lv2_p0">)</span>;
<span id="L479" class="LineNr">479 </span>
<span id="L480" class="LineNr">480 </span>
<span id="L481" class="LineNr">481 </span>Arguments:
<span id="L482" class="LineNr">482 </span>c
<span id="L483" class="LineNr">483 </span>   is the company or institution name <span class="textRainbow_lv2_p0">(</span>a maximum of 64 characters<span class="textRainbow_lv2_p0">)</span>.
<span id="L484" class="LineNr">484 </span>   <span class="textRainbow_lv2_p0">(</span>Output<span class="textRainbow_lv2_p0">)</span>
<span id="L485" class="LineNr">485 </span>d
<span id="L486" class="LineNr">486 </span>   is the department or division name <span class="textRainbow_lv2_p0">(</span>a maximum of 64 characters<span class="textRainbow_lv2_p0">)</span>.
<span id="L487" class="LineNr">487 </span>   <span class="textRainbow_lv2_p0">(</span>Output<span class="textRainbow_lv2_p0">)</span>
<span id="L488" class="LineNr">488 </span>cc
<span id="L489" class="LineNr">489 </span>   is the company name<span class="textRainbow_lv1_o0">,</span> double spaced <span class="textRainbow_lv2_p0">(</span>a maximum of 120 characters<span class="textRainbow_lv2_p0">)</span>.
<span id="L490" class="LineNr">490 </span>   <span class="textRainbow_lv2_p0">(</span>Output<span class="textRainbow_lv2_p0">)</span>
<span id="L491" class="LineNr">491 </span>dd
<span id="L492" class="LineNr">492 </span>   is the department name<span class="textRainbow_lv1_o0">,</span> double spaced <span class="textRainbow_lv2_p0">(</span>a maximum of 120 characters<span class="textRainbow_lv2_p0">)</span>.
<span id="L493" class="LineNr">493 </span>   <span class="textRainbow_lv2_p0">(</span>Output<span class="textRainbow_lv2_p0">)</span>
<span id="L494" class="LineNr">494 </span>
<span id="L495" class="LineNr">495 </span>
<span id="L496" class="LineNr">496 </span>:Entry:  users:  03/08/85 system_info_$users
<span id="L497" class="LineNr">497 </span>
<span id="L498" class="LineNr">498 </span>
<span id="L499" class="LineNr">499 </span>Function:  This entry point returns the current and maximum number of
<span id="L500" class="LineNr">500 </span>load units and users.
<span id="L501" class="LineNr">501 </span>
<span id="L502" class="LineNr">502 </span>
<span id="L503" class="LineNr">503 </span>Syntax:
<span id="L504" class="LineNr">504 </span>declare system_info_$users entry <span class="textRainbow_lv2_p0">(</span>fixed bin<span class="textRainbow_lv2_o0">,</span> fixed bin<span class="textRainbow_lv2_o0">,</span> fixed bin<span class="textRainbow_lv2_o0">,</span>
<span id="L505" class="LineNr">505 </span>     fixed bin<span class="textRainbow_lv2_p0">)</span>;
<span id="L506" class="LineNr">506 </span>call system_info_$users <span class="textRainbow_lv2_p0">(</span>mn<span class="textRainbow_lv2_o0">,</span> nn<span class="textRainbow_lv2_o0">,</span> mu<span class="textRainbow_lv2_o0">,</span> nu<span class="textRainbow_lv2_p0">)</span>;
<span id="L507" class="LineNr">507 </span>
<span id="L508" class="LineNr">508 </span>
<span id="L509" class="LineNr">509 </span>Arguments:
<span id="L510" class="LineNr">510 </span>mn
<span id="L511" class="LineNr">511 </span>   is the maximum number of users.  <span class="textRainbow_lv2_p0">(</span>Output<span class="textRainbow_lv2_p0">)</span>
<span id="L512" class="LineNr">512 </span>nn
<span id="L513" class="LineNr">513 </span>   is the current number of users.  <span class="textRainbow_lv2_p0">(</span>Output<span class="textRainbow_lv2_p0">)</span>
<span id="L514" class="LineNr">514 </span>mu
<span id="L515" class="LineNr">515 </span>   is the maximum number of load units <span class="textRainbow_lv2_p0">(</span>times 10<span class="textRainbow_lv2_p0">)</span>.  <span class="textRainbow_lv2_p0">(</span>Output<span class="textRainbow_lv2_p0">)</span>
<span id="L516" class="LineNr">516 </span>nu
<span id="L517" class="LineNr">517 </span>   is the current number of load units <span class="textRainbow_lv2_p0">(</span>times 10<span class="textRainbow_lv2_p0">)</span>.  <span class="textRainbow_lv2_p0">(</span>Output<span class="textRainbow_lv2_p0">)</span>
<span id="L518" class="LineNr">518 </span>
<span id="L519" class="LineNr">519 </span>
<span id="L520" class="LineNr">520 </span>:Entry:  version_id:  03/08/85 system_info_$version_id
<span id="L521" class="LineNr">521 </span>
<span id="L522" class="LineNr">522 </span>
<span id="L523" class="LineNr">523 </span>Function:  This entry point returns the eight-character version
<span id="L524" class="LineNr">524 </span>identifier that is written on the hardcore system tape currently
<span id="L525" class="LineNr">525 </span>running.  This might be set to &quot;37-19.3&quot;<span class="textRainbow_lv1_o0">,</span> which is an internal version
<span id="L526" class="LineNr">526 </span>number.  This information is different from the information that is
<span id="L527" class="LineNr">527 </span>obtained with the system_info_$sysid entry point.
<span id="L528" class="LineNr">528 </span>
<span id="L529" class="LineNr">529 </span>
<span id="L530" class="LineNr">530 </span>Syntax:
<span id="L531" class="LineNr">531 </span>declare system_info$_version_id entry <span class="textRainbow_lv2_p0">(</span>char<span class="textRainbow_lv3_p0">(</span>*<span class="textRainbow_lv3_p0">)</span><span class="textRainbow_lv2_p0">)</span>;
<span id="L532" class="LineNr">532 </span>call system_info_$version_id <span class="textRainbow_lv2_p0">(</span>vers<span class="textRainbow_lv2_p0">)</span>;
<span id="L533" class="LineNr">533 </span>
<span id="L534" class="LineNr">534 </span>
<span id="L535" class="LineNr">535 </span>Arguments:
<span id="L536" class="LineNr">536 </span>vers
<span id="L537" class="LineNr">537 </span>   is the version identifier that identifies the current version of the
<span id="L538" class="LineNr">538 </span>   system.  <span class="textRainbow_lv2_p0">(</span>Output<span class="textRainbow_lv2_p0">)</span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
